## Copyright (C) 2007 Sam Robson
##
## This file is part of Envisage.
##
## Envisage is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## Envisage is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Envisage; if not, write to the Free Software
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


###############################################################################
#                        BEGIN - FUNCTION - GS2BC                             #
###############################################################################

## Slighlty altered version of function GSint2BC from package GeneSpring. 
## Creates an object of class ExpressionSet, the updated microarray data class 
## exprSet.

GS2BC <- function(interpretation, what = "nor") 
{
    pd <- as.data.frame(t(interpretation@expparam))
    row.names(pd) <- c(1:length(row.names(pd)))
    vl <- as.list(names(pd))
    names(vl) <- names(pd)
    if (what == "nor") {
        exprs <- interpretation@a.nor
        se.exprs <- interpretation@se.nor
    } else if (what == "raw") {
        exprs <- interpretation@a.raw
        se.exprs <- interpretation@se.raw
    } else stop(paste("Unknown value for variable \"what\": ", what, 
        " (Supported values are \"raw\" and \"nor\" for the Raw and Normalized",
        " values respectively"))
    row.names(exprs) <- interpretation@genenames
    if (length(se.exprs) != 0) {
        row.names(se.exprs) <- interpretation@genenames
    }
    metData <- NULL
    for (i in 1:length(vl)) {
        metData <- c(metData, vl[[i]])
    }
    metData <- as.data.frame(metData)
    rownames(metData) <- names(vl)
    colnames(metData) <- "labelDescription"
    pdata <- new("AnnotatedDataFrame", data=pd, 
        varMetadata=metData)
    new("ExpressionSet", phenoData=pdata, exprs=exprs)
}

###############################################################################
#                           END - FUNCTION - GS2BC                            #
###############################################################################