## Copyright (C) 2007 Sam Robson
##
## This file is part of Envisage.
##
## Envisage is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## Envisage is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with Envisage; if not, write to the Free Software
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

###############################################################################
#                      BEGIN - FUNCTION - labelParams                         #
###############################################################################

## Remove any variables who have the same number of levels as there are samples 
## (eg any labelling variables). These will prevent the modelling method from 
## functioning correctly.

labelParams <- function(pData) 
{	
    list <- NULL
    for (i in 1:ncol(pData)) {
        if (length(levels(pData[[i]])) == nrow(pData)) {
            list <- c(list, i)
        }
    }
    rm(i)

    return(list)	
}

#################################################################################
#                         END - FUNCTION - labelParams                          #
#################################################################################