\name{GS2BC}
\alias{GS2BC}
\title{Convertor for GeneSpring GSint and Bioconductor ExpressionSet
  objects} 
\description{This function converts GeneSpring Experiment
  (Interpretation) objects into BioConductor microarray expression
  objects.} 
\usage{
  GS2BC(interpretation, what = "nor")
}
\arguments{
  \item{interpretation}{GeneSpring Experiment Interpretation object.}
  \item{what}{For GSload.intBC() only. Indicates what data from the
    GeneSpring Experiment Interpretation should be used. Valid values
    for what can be \code{nor} and \code{raw}, representing Normalized
    or Raw expression values. The control values cannot be used.}
}
\details{
  The \pkg{Envisage} package contains methods allowing the use of
  linear models (LMs) for analysing significantly changing genes in
  experiments with a variety of sources of variation, be they
  experimentally controlled variables such as drug treatment or time, or
  non-controlled sources of confounding variation such as phenotypic or
  environmental differences. This allows all sources of variation to be
  considered when analysing for significant differential expression,
  ensuring resulting genes are biologically relevent to the experimental
  question. 
    
  \code{\link[Envisage]{GS2BC}} is slightly changed from function 
  \code{\link[GeneSpring]{GSint2BC}} from package \pkg{GeneSpring},
  which currently only supports the defunct \code{exprSet} class of
  data. 
}
\references{
  Robson, S. C., Hunter, E., Bird, H., Turner, H. (2008) 
  \emph{Envisage: model-based significance analysis of microarray gene
    expression data}, manuscript in preparation
}
\author{Sam Robson \email{S.C.Robson@warwick.ac.uk}}
\seealso{\code{\link[GeneSpring]{GSint2BC}}}
\keyword{models}
